me.legofreak107.vehiclesplus.vehicles.vehicles.objects

## Class VehicleStats

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.VehicleStats

    public class VehicleStats
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`VehicleStats()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Integer` `getAcceleration()` Acceleration of the vehicle (Higher value is faster acceleration) 50 is around 0-100km in 3 seconds
`java.lang.Boolean` `getBroken()` Vehicle broken status
`java.lang.Double` `getCurrentFuel()` Current vehicle fuel level
`java.lang.Double` `getCurrentSpeed()` Current speed of the vehicle in KM/H
`java.lang.Float` `getCurrentSteer()` Current steering angle
`java.lang.Integer` `getFuelTank()` Maximum fuel tank capacity
`java.lang.Integer` `getHealth()` Current vehicle health
`java.lang.Integer` `getLift()` Current lift of the vehicle (Used for flying vehicles)
`java.lang.Integer` `getSpeed()` Maximum speed of a vehicle in KM/H
`java.lang.Integer` `getSteering()` Steering range of a vehicle (lower value is slower steering)
`void` `setAcceleration(java.lang.Integer acceleration)` Acceleration of the vehicle (Higher value is faster acceleration) 50 is around 0-100km in 3 seconds
`void` `setBroken(java.lang.Boolean broken)` Vehicle broken status
`void` `setCurrentFuel(java.lang.Double currentFuel)` Current vehicle fuel level
`void` `setCurrentSpeed(java.lang.Double currentSpeed)` Current speed of the vehicle in KM/H
`void` `setCurrentSteer(java.lang.Float currentSteer)` Current steering angle
`void` `setFuelTank(java.lang.Integer fuelTank)` Maximum fuel tank capacity
`void` `setHealth(java.lang.Integer health)` Current vehicle health
`void` `setLift(java.lang.Integer lift)` Current lift of the vehicle (Used for flying vehicles)
`void` `setSpeed(java.lang.Integer speed)` Maximum speed of a vehicle in KM/H
`void` `setSteering(java.lang.Integer steering)` Steering range of a vehicle (lower value is slower steering)

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VehicleStats

    public VehicleStats()

### Method Detail

#### getSpeed

    public java.lang.Integer getSpeed()

Maximum speed of a vehicle in KM/H

#### getSteering

    public java.lang.Integer getSteering()

Steering range of a vehicle (lower value is slower steering)

#### getFuelTank

    public java.lang.Integer getFuelTank()

Maximum fuel tank capacity

#### getCurrentFuel

    public java.lang.Double getCurrentFuel()

Current vehicle fuel level

#### getAcceleration

    public java.lang.Integer getAcceleration()

Acceleration of the vehicle (Higher value is faster acceleration) 50 is around 0-100km in 3 seconds

#### getCurrentSpeed

    public java.lang.Double getCurrentSpeed()

Current speed of the vehicle in KM/H

#### getCurrentSteer

    public java.lang.Float getCurrentSteer()

Current steering angle

#### getLift

    public java.lang.Integer getLift()

Current lift of the vehicle (Used for flying vehicles)

#### getHealth

    public java.lang.Integer getHealth()

Current vehicle health

#### getBroken

    public java.lang.Boolean getBroken()

Vehicle broken status

#### setSpeed

    public void setSpeed(java.lang.Integer speed)

Maximum speed of a vehicle in KM/H

#### setSteering

    public void setSteering(java.lang.Integer steering)

Steering range of a vehicle (lower value is slower steering)

#### setFuelTank

    public void setFuelTank(java.lang.Integer fuelTank)

Maximum fuel tank capacity

#### setCurrentFuel

    public void setCurrentFuel(java.lang.Double currentFuel)

Current vehicle fuel level

#### setAcceleration

    public void setAcceleration(java.lang.Integer acceleration)

Acceleration of the vehicle (Higher value is faster acceleration) 50 is around 0-100km in 3 seconds

#### setCurrentSpeed

    public void setCurrentSpeed(java.lang.Double currentSpeed)

Current speed of the vehicle in KM/H

#### setCurrentSteer

    public void setCurrentSteer(java.lang.Float currentSteer)

Current steering angle

#### setLift

    public void setLift(java.lang.Integer lift)

Current lift of the vehicle (Used for flying vehicles)

#### setHealth

    public void setHealth(java.lang.Integer health)

Current vehicle health

#### setBroken

    public void setBroken(java.lang.Boolean broken)

Vehicle broken status